Atualizações de segurança disponíveis para o Adobe Flash Player

Data de lançamento10 de março de 2016

Identificador de vulnerabilidade: APSB16-08

Prioridade: Consulte a tabela abaixo

Número CVE: CVE-2016-0960, CVE-2016-0961, CVE-2016-0962, CVE-2016-0963, CVE-2016-0986, CVE-2016-0987, CVE-2016-0988, CVE-2016-0989, CVE-2016-0990, CVE-2016-0991, CVE-2016-0992, CVE-2016-0993, CVE-2016-0994, CVE-2016-0995, CVE-2016-0996, CVE-2016-0997, CVE-2016-0998, CVE-2016-0999, CVE-2016-1000, CVE-2016-1001, CVE-2016-1002, CVE-2016-1005, CVE-2016-1010

Plataforma: Windows, Macintosh e Linux

Resumo

A Adobe lançou atualizações de segurança para o Adobe Flash Player. Essas atualizações abordam fragilidades críticas que podem potencialmente permitir que um invasor assuma o controle do sistema afetado.

A Adobe está ciente de um relatório que um ataques do CVE -2016-1010 está sendo usado nos ataques direcionados e limitados.

Versões afetadas

Produto Versões afetadas Plataforma
Tempo de execução de desktop do Adobe Flash Player 20.0.0.306 e versões anteriores
Windows e Macintosh
Versão do Adobe Flash Player Extended Support 18.0.0.329 e versões anteriores Windows e Macintosh
Adobe Flash Player para Google Chrome 20.0.0.306 e versões anteriores Windows, Macintosh, Linux e ChromeOS
Adobe Flash Player para Microsoft Edge e Internet Explorer 11 20.0.0.306 e versões anteriores Windows 10
Adobe Flash Player para Internet Explorer 11 20.0.0.306 e versões anteriores Windows 8.1
Adobe Flash Player para Linux 11.2.202.569 e versões anteriores Linux
Tempo de execução de desktop AIR 20.0.0.260 e versões anteriores Windows e Macintosh
AIR SDK 20.0.0.260 e versões anteriores Windows, Macintosh, Android e iOS
AIR SDK & Compiler 20.0.0.260 e versões anteriores Windows, Macintosh, Android e iOS
AIR para Android 20.0.0.233 e versões anteriores Android
  • Para verificar a versão do Adobe Flash Player instalada no sistema, acesse a página Sobre o Flash Player ou clique com o botão direito do mouse no conteúdo do Flash Player e selecione “Sobre o Adobe (ou Macromedia) Flash Player” no menu. Se você usar vários navegadores, faça a verificação em todos os que estiverem instalados no sistema.  
  • Para verificar a versão do Adobe AIR instalada no seu sistema, siga as instruções na TechNote do Adobe AIR.

Solução

A Adobe categoriza essas atualizações com as seguintes classificações de prioridade e recomenda que usuários atualizem para a versão mais recente:

Produto Versões atualizadas Plataforma Classificação de prioridade Disponibilidade
Tempo de execução de desktop do Adobe Flash Player
21.0.0.182 Windows e Macintosh
1

Centro de downloads do Flash Player

Distribuição do Flash Player

Versão do Adobe Flash Player Extended Support 18.0.0.333 Windows e Macintosh
1 Suporte Estendido
Adobe Flash Player para Google Chrome 21.0.0.182 Windows, Macintosh, Linux e ChromeOS    1 Versões do Google Chrome
Adobe Flash Player para Microsoft Edge e Internet Explorer 11 21.0.0.182 Windows 10 1 Conselho de segurança da Microsoft
Adobe Flash Player para Internet Explorer 11 21.0.0.182 Windows 8.1
1 Conselho de segurança da Microsoft
Adobe Flash Player para Linux 11.2.202.577 Linux 3 Centro de downloads do Flash Player
Tempo de execução de desktop AIR 21.0.0.176 Windows e Macintosh 3 Centro de downloads do AIR
AIR SDK 21.0.0.176 Windows, Macintosh, Android e iOS 3 Download do AIR SDK
AIR SDK & Compiler 21.0.0.176 Windows, Macintosh, Android e iOS 3 Download do AIR SDK
AIR para Android 21.0.0.176 Android 3 Google Play Store
  • A Adobe recomenda que os usuários do Adobe Flash Player Desktop Runtime para Windows e Macintosh atualizem para a versão 21.0.0.182 através do mecanismo de atualização no produto quando solicitado [1] ou através do Adobe Flash Player Download Center.
  • A Adobe recomenda que usuários da Versão de Suporte estendido do Adobe Flash Player atualizem para a versão 18.0.0.333 acessando http://helpx.adobe.com/br/flash-player/kb/archived-flash-player-versions.html.
  • A Adobe recomenda que os usuários do Adobe Flash Player para Linux atualizem para o Adobe Flash Player 11.2.202.577 visitando o Centro de Download do Adobe Flash Player.
  • O Adobe Flash Player, instalado com o Google Chrome, será atualizado automaticamente para a versão mais recente do Google Chrome, que incluirá Adobe Flash Player 21.0.0.182 para Windows, Macintosh, Linux e Chrome OS.
  • O Adobe Flash Player instalado com o Microsoft Edge e Internet Explorer para Windows 10 será atualizado automaticamente para a versão mais recente, que incluirá o Adobe Flash Player 21.0.0.182. 
  • O Adobe Flash Player instalado com o Internet Explorer para Windows 8.x será atualizado automaticamente para a versão mais recente, que inclui o Adobe Flash Player 21.0.0.182.
  • A Adobe recomenda que os usuários do tempo de execução de desktop AIR, o AIR SDK e AIR SDK & Compiler atualizem para a versão 21.0.0.176 acessando o Centro de Download do AIR ou o Centro do Desenvolvedor do AIR
  • Visite a página Ajuda do Flash Player para obter assistência com a instalação do Flash Player.
 
[1] Os usuários do Flash Player 11.2.x ou posterior para Windows, ou do Flash Player 11.3.x ou posterior para Macintosh, que tenham selecionado a opção “Permitir que a Adobe instale atualizações” receberão a atualização automaticamente. Os usuários que não têm a opção “Permitir que a Adobe instale atualizações” habilitada podem instalar a atualização, quando solicitados, usando o mecanismo de atualização do produto.

Detalhes da vulnerabilidade

  • Essas atualizações resolvem vulnerabilidades de sobrecarga total que pode levar à execução de código (CVE-2016-0963, CVE-2016-0993, CVE-2016-1010).
  • Essas atualizações resolvem vulnerabilidades de uso após liberação (use-after-free) que poderiam levar à execução do código (CVE-2016-0987, CVE-2016-0988, CVE-2016-0990, CVE-2016-0991, CVE-2016-0994, CVE-2016-0995, CVE-2016-0996, CVE-2016-0997, CVE-2016-0998, CVE-2016-0999, CVE-2016-1000).
  • Essas atualizações resolvem uma vulnerabilidade de sobrecarga de de heap que pode levar a uma execução de código (CVE-2016-1001).
  • Essas atualizações resolvem vulnerabilidades de corrupção de memória que podem levar à execução de código (CVE-2016-0960, CVE-2016-0961, CVE-2016-0962, CVE-2016-0986, CVE-2016-0989, CVE-2016-0992, CVE-2016-1002, CVE-2016-1005).

Agradecimentos

  • Mateusz Jurczyk e Natalie Silvanovich do Google Project Zero (CVE-2016-0997, CVE-2016-0998, CVE-2016-0999, CVE-2016-1000, CVE-2016-1001, CVE-2016-1002)
  • Wen Guanxing do Venustech ADLAB (CVE-2016-0990)
  • Natalie Silvanovich do Google Project Zero (CVE-2016-0987, CVE-2016-0988)
  • Fujibayashi Kyo trabalhando com a Zero Day Initiative da HPE (CVE-2016-0996)
  • Kai Kang do Xuanwu Lab de Tencent (CVE-2016-0995)
  • instruder do Alibaba Security Team (CVE-2016-0960, CVE-2016-0963)
  • Liu YongJun da equipe de segurança de NSFOCUS (CVE -2016-0961, CVE -2016-0962, CVE -2016-0986, CVE -2016-0989)
  • Nicolas Joly da Microsoft Vulnerability Research (MSVR) (CVE-2016-0991, CVE-2016-0993)
  • Ichinose Kotomi trabalhando com a Zero Day Initiative da HPE (CVE-2016-0994)
  • AbdulAziz Hariri da Zero Day Initiative da HPE (CVE-2016-1005)
  • Anton Ivanov de Kaspersky Lab (CVE -2016-1010)
  • riusksk do departamento da plataforma de segurança Tencent (CVE -2016-0992)